routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();
Route::get('/app', function(){
	return view('adminlte3');
});

Route::get('/adminlte3', function(){
	return view('adminlte3');
});s

Route::get('/', 'HomeController@index');
Route::get('/home', 'HomeController@index')->name('home');

Route::resource('profile', 'ProfileController');
Route::resource('user', 'UserController');
Route::resource('area', 'AreaController');
Route::resource('menu', 'MenuController');
Route::resource('submenu', 'SubmenuController');
// Rotas de atividades do sistema
Route::resource('mail', 'MailController');


Route::get('/avaliacaoSocial/pessoa/{id}', 'AvaliacaoSocialController@pessoa');

// Exemplos de rotas
Route::get('/api/post', function () {
    return response()->json(Post::paginate(20));
});

app/Area.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Area extends Model
{
    use SoftDeletes;
    /*
    	@description nome da tabela do banco 
     */
    protected $table = 'areas';
    /*
    	campos da tabela
     */
    protected $fillable = [
    	'name',
    	'description',
        'color',
        'ordem'
    ];

    public function menus(){
        return $this->hasMany(Menu::class, 'area_id', 'id');
    }
}

app/Http/Controllers/AreaController.php
<?php

namespace App\Http\Controllers;

use App\Area;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class AreaController extends BaseController
{
    protected $class = '\App\Area';
    protected $path = 'area';
    protected $table = 'areas';
    // protected $connection = 'siapenadm';
    protected static $validate = [
        'name'=>'required|min:5|',
        'description'=>'required:10',
        'color'=>'required',
        'ordem'=>'required'
    ];


    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
       	$class = $this->class;
       	$this->authorize('index', $this->class);
        if($this->checkPassword()) return redirect()->route('user.show', Auth::user()->cpf);
        // lista as categorias
        return view($this->path.'.index')->with(
            'models', $class::orderBy('ordem')->paginate(10)
        );
    }
}

resources/views/area/create.blade.php
@extends('layouts.app')

@section('title')
	Areas do sistema
@stop

@section('description')
	Cadastro de Area do sistema
@stop

@section('action')
	Dados da Area
@stop

@section('content')
	{{-- Observa se a requisicao passa um model como parametro --}}
	@php
		// Caso não haja chama o metodo store para criar um registro
		$action = [
			'route' => 'area.store'
		];
		// Caso haja, muda a rota e chama o metodo update passando como parametro o id do registro a ser editado
		if (isset($model))
			$action = [
				// rota a ser chamada
				'route' => ['area.update', $model->id],
				// invoca o metodo PUT 
				'method' => 'PUT'
			];

	@endphp

	{{ Form::open($action) }}
		{!! csrf_field() !!}
		{{-- caso exista o model, prepara o formulario com os dados do registro passado pelo id --}}
		@if (isset($model))
			@php
				Form::setModel($model);
			@endphp
		@endif

	<div class="form-group">
		{{ Form::label('name', 'Nome da Area') }}
		{{ Form::text('name', null, ['class'=>'form-control']) }}
	</div>

	<div class="form-group">
		{{ Form::label('description', 'Descrição do Area') }}
		{{ Form::text('description', null, ['class'=>'form-control']) }}
	</div>

	<div class="form-group">
		{{ Form::label('color', 'Cor da fonte') }}
		{{ Form::text('color', null, ['class'=>'form-control']) }}
	</div>	

	<div class="form-group">
		{{ Form::label('ordem', 'Ordem de apresentação') }}
		{{ Form::text('ordem', null, ['class'=>'form-control']) }}
	</div>

	<div class="form-group">
		<a href="{{ route('area.index') }}" class="btn btn-default">
			<i class="fa fa-arrow-left"></i>
			Voltar
		</a>
		{{ Form::submit('enviar', ['class'=>'btn btn-success btn-save']) }}
	</div>

	{{ Form::close() }}
@stop

@section('footer')
	{{-- <div class="alert alert-warning">Atenção</div> --}}
@stop

resources/views/area/index.blade.php
@extends('layouts.app')

@section('title')
	Áreas do sistema
@stop

@section('description')
	Cadastro de Áreas do sistema
@stop

@section('action')
	Lista das Áreas cadastradas
@stop

@if (Auth::user()->hasRules('area.store'))
	@section('plus')
		<a href="{{ route('area.create') }}" class="btn btn-info" data-toggle="tooltip" title="Nova Area">
			<i class="fa fa-bolt"></i>
		</a>
	@stop
@endif


@section('content')
<table class='table table-responsive table-condensed table-hover'>
	{!! csrf_field() !!}
	<tr>
		<th>#</th>
		<th>Nome</th>
		<th>Descrição</th>
		<th>Cor da fonte</th>
		<th>Ordem</th>
		<th></th>
	</tr>

	@php
		//dd($models);
	@endphp

	@foreach ($models as $m)
		<tr>
			<td>{{ $m->id }}</td>
			<td>{{ $m->name }}</td>
			<td>{{ $m->description }}</td>
			<td>{{ $m->color }}</td>
			<td>{{ $m->ordem }}</td>
			<td width="12%">
				@include('includes.helper.action', ['model'=>$m, 'route'=>'area'])
			</td>
		</tr>
	@endforeach
</table>
@stop 